# H245_RequestChannelClose Class Reference

`#include <h245.h>`

Inheritance diagram for H245_RequestChannelClose:

List of all members.

## Public Types

enum | OptionalFields { e_qosCapability, e_reason }

## Public Member Functions

| H245_RequestChannelClose (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_LogicalChannelNumber | m_forwardLogicalChannelNumber
H245_QOSCapability | m_qosCapability
H245_RequestChannelClose_reason | m_reason

## Member Enumeration Documentation

enum H245_RequestChannelClose::OptionalFields

Enumerator:

  e_qosCapability |
  e_reason |

## Constructor & Destructor Documentation

H245_RequestChannelClose::H245_RequestChannelClose | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_RequestChannelClose::GetDataLength | ( |  | ) | const

PBoolean H245_RequestChannelClose::Decode | ( | PASN_Stream & | strm | ) |

void H245_RequestChannelClose::Encode | ( | PASN_Stream & | strm | ) | const

void H245_RequestChannelClose::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_RequestChannelClose::Compare | ( | const PObject & | obj | ) | const

PObject* H245_RequestChannelClose::Clone | ( |  | ) | const

## Member Data Documentation

H245_LogicalChannelNumber H245_RequestChannelClose::m_forwardLogicalChannelNumber

H245_QOSCapability H245_RequestChannelClose::m_qosCapability

H245_RequestChannelClose_reason H245_RequestChannelClose::m_reason

The documentation for this class was generated from the following file:

- h245.h